Update Quickwit index configuration
PUT
https://example.com
/
api
/
indexes
/
{indexId}
/
quickwit-config
Update Quickwit index configuration
curl --request PUT \
--url https://example.com/api/indexes/{indexId}/quickwit-config \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token= \
--data '
{
"commitTimeoutSecs": 2,
"defaultSearchFields": [
"<string>"
],
"dynamicMapping": {
"expandDots": true,
"fast": true,
"indexed": true,
"stored": true
},
"indexFieldPresence": true,
"maxNumPartitions": 2,
"newFieldMappings": [
{
"name": "<string>",
"type": "text",
"description": "<string>",
"fast": true,
"fieldnorms": true,
"indexed": true,
"stored": true
}
],
"partitionKey": "<string>",
"retention": {
"period": "<string>",
"schedule": "<string>"
},
"storeSource": true,
"tagFields": [
"<string>"
]
}
'const options = {
method: 'PUT',
headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({
commitTimeoutSecs: 2,
defaultSearchFields: ['<string>'],
dynamicMapping: {expandDots: true, fast: true, indexed: true, stored: true},
indexFieldPresence: true,
maxNumPartitions: 2,
newFieldMappings: [
{
name: '<string>',
type: 'text',
description: '<string>',
fast: true,
fieldnorms: true,
indexed: true,
stored: true
}
],
partitionKey: '<string>',
retention: {period: '<string>', schedule: '<string>'},
storeSource: true,
tagFields: ['<string>']
})
};
fetch('https://example.com/api/indexes/{indexId}/quickwit-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://example.com/api/indexes/{indexId}/quickwit-config"
payload = {
"commitTimeoutSecs": 2,
"defaultSearchFields": ["<string>"],
"dynamicMapping": {
"expandDots": True,
"fast": True,
"indexed": True,
"stored": True
},
"indexFieldPresence": True,
"maxNumPartitions": 2,
"newFieldMappings": [
{
"name": "<string>",
"type": "text",
"description": "<string>",
"fast": True,
"fieldnorms": True,
"indexed": True,
"stored": True
}
],
"partitionKey": "<string>",
"retention": {
"period": "<string>",
"schedule": "<string>"
},
"storeSource": True,
"tagFields": ["<string>"]
}
headers = {
"cookie": "better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://example.com/api/indexes/{indexId}/quickwit-config"
payload := strings.NewReader("{\n \"commitTimeoutSecs\": 2,\n \"defaultSearchFields\": [\n \"<string>\"\n ],\n \"dynamicMapping\": {\n \"expandDots\": true,\n \"fast\": true,\n \"indexed\": true,\n \"stored\": true\n },\n \"indexFieldPresence\": true,\n \"maxNumPartitions\": 2,\n \"newFieldMappings\": [\n {\n \"name\": \"<string>\",\n \"type\": \"text\",\n \"description\": \"<string>\",\n \"fast\": true,\n \"fieldnorms\": true,\n \"indexed\": true,\n \"stored\": true\n }\n ],\n \"partitionKey\": \"<string>\",\n \"retention\": {\n \"period\": \"<string>\",\n \"schedule\": \"<string>\"\n },\n \"storeSource\": true,\n \"tagFields\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "better-auth.session_token=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}Authorizations
Path Parameters
Minimum string length:
1Body
application/json
Required range:
x >= 1Minimum string length:
1Show child attributes
Show child attributes
Required range:
x >= 1Available options:
dynamic, lenient, strict - Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
Minimum string length:
1Show child attributes
Show child attributes
Minimum string length:
1Response
Request validation failed
Show child attributes
Show child attributes
⌘I
Update Quickwit index configuration
curl --request PUT \
--url https://example.com/api/indexes/{indexId}/quickwit-config \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token= \
--data '
{
"commitTimeoutSecs": 2,
"defaultSearchFields": [
"<string>"
],
"dynamicMapping": {
"expandDots": true,
"fast": true,
"indexed": true,
"stored": true
},
"indexFieldPresence": true,
"maxNumPartitions": 2,
"newFieldMappings": [
{
"name": "<string>",
"type": "text",
"description": "<string>",
"fast": true,
"fieldnorms": true,
"indexed": true,
"stored": true
}
],
"partitionKey": "<string>",
"retention": {
"period": "<string>",
"schedule": "<string>"
},
"storeSource": true,
"tagFields": [
"<string>"
]
}
'const options = {
method: 'PUT',
headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({
commitTimeoutSecs: 2,
defaultSearchFields: ['<string>'],
dynamicMapping: {expandDots: true, fast: true, indexed: true, stored: true},
indexFieldPresence: true,
maxNumPartitions: 2,
newFieldMappings: [
{
name: '<string>',
type: 'text',
description: '<string>',
fast: true,
fieldnorms: true,
indexed: true,
stored: true
}
],
partitionKey: '<string>',
retention: {period: '<string>', schedule: '<string>'},
storeSource: true,
tagFields: ['<string>']
})
};
fetch('https://example.com/api/indexes/{indexId}/quickwit-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://example.com/api/indexes/{indexId}/quickwit-config"
payload = {
"commitTimeoutSecs": 2,
"defaultSearchFields": ["<string>"],
"dynamicMapping": {
"expandDots": True,
"fast": True,
"indexed": True,
"stored": True
},
"indexFieldPresence": True,
"maxNumPartitions": 2,
"newFieldMappings": [
{
"name": "<string>",
"type": "text",
"description": "<string>",
"fast": True,
"fieldnorms": True,
"indexed": True,
"stored": True
}
],
"partitionKey": "<string>",
"retention": {
"period": "<string>",
"schedule": "<string>"
},
"storeSource": True,
"tagFields": ["<string>"]
}
headers = {
"cookie": "better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://example.com/api/indexes/{indexId}/quickwit-config"
payload := strings.NewReader("{\n \"commitTimeoutSecs\": 2,\n \"defaultSearchFields\": [\n \"<string>\"\n ],\n \"dynamicMapping\": {\n \"expandDots\": true,\n \"fast\": true,\n \"indexed\": true,\n \"stored\": true\n },\n \"indexFieldPresence\": true,\n \"maxNumPartitions\": 2,\n \"newFieldMappings\": [\n {\n \"name\": \"<string>\",\n \"type\": \"text\",\n \"description\": \"<string>\",\n \"fast\": true,\n \"fieldnorms\": true,\n \"indexed\": true,\n \"stored\": true\n }\n ],\n \"partitionKey\": \"<string>\",\n \"retention\": {\n \"period\": \"<string>\",\n \"schedule\": \"<string>\"\n },\n \"storeSource\": true,\n \"tagFields\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "better-auth.session_token=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}
